"""v0.1.0_feature/#101#119

Revision ID: b54c7dbe300d
Revises: 498c64b0a5ad
Create Date: 2021-05-26 15:29:07.829466

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

from app.database import get_db_schema

# revision identifiers, used by Alembic.
revision = 'b54c7dbe300d'
down_revision = '498c64b0a5ad'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('ledger',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('token_address', sa.String(length=42), nullable=False),
    sa.Column('token_type', sa.String(length=40), nullable=False),
    sa.Column('ledger', sa.JSON(), nullable=False),
    sa.Column('ledger_created', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_table('ledger_details_data',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('token_address', sa.String(length=42), nullable=False),
    sa.Column('data_id', sa.String(length=42), nullable=True),
    sa.Column('name', sa.String(length=200), nullable=True),
    sa.Column('address', sa.String(length=200), nullable=True),
    sa.Column('amount', sa.Integer(), nullable=True),
    sa.Column('price', sa.Integer(), nullable=True),
    sa.Column('balance', sa.Integer(), nullable=True),
    sa.Column('acquisition_date', sa.String(length=10), nullable=True),
    sa.Column('data_created', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_table('ledger_details_template',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('token_address', sa.String(length=42), nullable=False),
    sa.Column('token_detail_type', sa.String(length=100), nullable=False),
    sa.Column('headers', sa.JSON(), nullable=True),
    sa.Column('footers', sa.JSON(), nullable=True),
    sa.Column('data_type', sa.String(length=20), nullable=False),
    sa.Column('data_source', sa.String(length=42), nullable=True),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_table('ledger_template',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('token_address', sa.String(length=42), nullable=False),
    sa.Column('issuer_address', sa.String(length=42), nullable=True),
    sa.Column('token_name', sa.String(length=200), nullable=False),
    sa.Column('headers', sa.JSON(), nullable=True),
    sa.Column('footers', sa.JSON(), nullable=True),
    sa.PrimaryKeyConstraint('token_address')
    , schema=get_db_schema())
    op.drop_table('bond_ledger', schema=get_db_schema())
    op.drop_index('ix_corporate_bond_ledger_template_jpn_issuer_address', table_name='corporate_bond_ledger_template_jpn', schema=get_db_schema())
    op.drop_index('ix_corporate_bond_ledger_template_jpn_token_address', table_name='corporate_bond_ledger_template_jpn', schema=get_db_schema())
    op.drop_table('corporate_bond_ledger_template_jpn', schema=get_db_schema())
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('corporate_bond_ledger_template_jpn',
    sa.Column('created', sa.DateTime(), autoincrement=False, nullable=True),
    sa.Column('modified', sa.DateTime(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('token_address', sa.VARCHAR(length=42), autoincrement=False, nullable=True),
    sa.Column('issuer_address', sa.VARCHAR(length=42), autoincrement=False, nullable=True),
    sa.Column('bond_name', sa.VARCHAR(length=200), autoincrement=False, nullable=False),
    sa.Column('bond_description', sa.VARCHAR(length=1000), autoincrement=False, nullable=False),
    sa.Column('bond_type', sa.VARCHAR(length=1000), autoincrement=False, nullable=False),
    sa.Column('total_amount', sa.BIGINT(), autoincrement=False, nullable=False),
    sa.Column('face_value', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('payment_amount', sa.BIGINT(), autoincrement=False, nullable=True),
    sa.Column('payment_date', sa.VARCHAR(length=8), autoincrement=False, nullable=True),
    sa.Column('payment_status', sa.BOOLEAN(), autoincrement=False, nullable=False),
    sa.Column('ledger_admin_headquarters', sa.VARCHAR(length=200), autoincrement=False, nullable=False),
    sa.Column('ledger_admin_name', sa.VARCHAR(length=200), autoincrement=False, nullable=False),
    sa.Column('ledger_admin_office_address', sa.VARCHAR(length=200), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='corporate_bond_ledger_template_jpn_pkey')
    , schema=get_db_schema())
    op.create_index('ix_corporate_bond_ledger_template_jpn_token_address', 'corporate_bond_ledger_template_jpn', ['token_address'], unique=False, schema=get_db_schema())
    op.create_index('ix_corporate_bond_ledger_template_jpn_issuer_address', 'corporate_bond_ledger_template_jpn', ['issuer_address'], unique=False, schema=get_db_schema())
    op.create_table('bond_ledger',
    sa.Column('created', sa.DateTime(), autoincrement=False, nullable=True),
    sa.Column('modified', sa.DateTime(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('token_address', sa.VARCHAR(length=42), autoincrement=False, nullable=True),
    sa.Column('ledger', sa.JSON(), autoincrement=False, nullable=True),
    sa.Column('country_code', sa.VARCHAR(length=3), autoincrement=False, nullable=True),
    sa.Column('bond_ledger_created', sa.DateTime(), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='bond_ledger_pkey')
    , schema=get_db_schema())
    op.drop_table('ledger_template', schema=get_db_schema())
    op.drop_table('ledger_details_template', schema=get_db_schema())
    op.drop_table('ledger_details_data', schema=get_db_schema())
    op.drop_table('ledger', schema=get_db_schema())
    # ### end Alembic commands ###
